Bug 1413813 - Non-ASCII password warning claims "Press Done to continue", but you can't
Summary: Non-ASCII password warning claims "Press Done to continue", but you can't
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 02:25 UTC by Adam Williamson
Modified: 2017-06-28 03:52 UTC (History)
7 users (show)

Fixed In Version: anaconda-27.15-1 anaconda-26.21.10-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 03:52:16 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-01-17 02:25:59 UTC
Since anaconda-26.17-1, the user creation spoke shows an orange-bar warning if the password you set contains any non-ASCII characters. The English warning text reads:

"The password you have provided contains non-ASCII characters. You may not be able to switch between keyboard layouts to login. Press Done to continue."

however, you can't actually press Done to continue. No matter how many times you click Done, the screen won't let you out unless you change the password not to contain any non-ASCII characters.

Comment 1 Adam Williamson 2017-01-17 02:26:52 UTC
Assigning to mkolman, since "Improved password quality checking" and "Use a sane unified password checking policy" were his changes.

Comment 2 Fedora End Of Life 2017-02-28 11:00:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Adam Williamson 2017-06-16 22:46:03 UTC
https://github.com/rhinstaller/anaconda/pull/1103 fixes this, in my testing.

Comment 4 Adam Williamson 2017-06-21 18:20:33 UTC
Note this is intentionally filed against F26: I think we should fix this for F26, not just Rawhide.

Comment 5 Fedora Update System 2017-06-26 15:19:25 UTC
anaconda-26.21.10-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3aec86381a

Comment 6 Fedora Update System 2017-06-27 06:26:03 UTC
anaconda-26.21.10-1.fc26, anaconda-user-help-26.1-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3aec86381a

Comment 7 Fedora Update System 2017-06-28 03:52:16 UTC
anaconda-26.21.10-1.fc26, anaconda-user-help-26.1-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.